# DrawBox | @vladmandic/face-api - v1.7.8
Documentation for @vladmandic/face-api - v1.7.8

# Class DrawBox

#### Hierarchy

- DrawBox

- Defined in draw/DrawBox.ts:38

#####
Index

### Constructors

constructor

### Properties

box
options

### Methods

draw

## Constructors

### constructor

- new DrawBox(box: IRect | IBoundingBox, options?: IDrawBoxOptions ): DrawBox

- #### Parameters

  - ##### box: IRect | IBoundingBox

  - ##### options: IDrawBoxOptions = {}

  #### Returns DrawBox

  - Defined in draw/DrawBox.ts:43

## Properties

### box

box: Box <any>

- Defined in draw/DrawBox.ts:39

### options

options: DrawBoxOptions

- Defined in draw/DrawBox.ts:41

## Methods

### draw

- draw(canvasArg: string | HTMLCanvasElement | CanvasRenderingContext2D): void

- #### Parameters

  - ##### canvasArg: string | HTMLCanvasElement | CanvasRenderingContext2D

  #### Returns void

  - Defined in draw/DrawBox.ts:51